{% extends "base.html" %}

{% block main %}

<p>Bienvenue sur notre site RockDB, vous pouvez rechercher différents types albums et d'artistes.</p>

<!-- carroussel d'album -->

<div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel">
  <div class="carousel-inner">
    {% for album in albums %}
    <div class="carousel-item">
    <div class="mb-3">
        <a class="col-md-3 col-xs-6  col-sm-4"
        href="{{ url_for('album', albumid=album.id) }}" target="_blank">
            <img width=200 src="{{ url_for('static', filename=album.img) }}" 
                        title="{{ album.title + " de " + album.artist.name }}"
                        alt="{{ "couverture de " + album.title }}" />
        </a>
    </div>
    </div>
    {% endfor %}
  </div>

<!-- carroussel d'artiste -->

  <!-- <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a> -->
</div>
<!-- acceder a la liste des albums -->
<a href="{{ url_for('albums') }}" class="btn btn-outline-dark btn-lg " role="button" aria-disabled="">Découvrir les albums</a>
<!-- acceder a la liste des artistes -->
<a href="{{ url_for('artists') }}" class="btn btn-outline-dark btn-lg" role="button" aria-disabled="">Voir les artistes</a>
{% endblock %}
